#
# spec file for package zpaq
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zpaq
Version:        7.04
Release:        5.18
Summary:        A journaling, incremental, deduplicating archiver for Windows and Linux
License:        SUSE-Public-Domain and MIT
Group:          Productivity/Archiving/Compression
Url:            http://mattmahoney.net/dc/zpaq.html
Source0:        http://mattmahoney.net/dc/zpaq704.zip
Source1:        %{name}.changes
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  help2man
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
zpaq is a journaling, incremental, deduplicating archiver for Windows and Linux. "Journaling" means that when you update a file or directory, both the old and new versions are saved. You can extract from the archive as it existed at any time in the past. "Incremental", means that when you back up your entire hard drive, for example:

  zpaq -add e:backup.zpaq c:\*

that only those files whose last-modified date has changed since the previous backup are added. For 100 GB of files, this typically takes 1-2 minutes, vs. a few hours to create the first version. "Deduplicating" means that identical files or fragments are stored only once to save time and space.

%prep
%setup -q -c %{name}705
dos2unix readme.txt
# remove date and time from binary
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{SOURCE1}")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.cpp' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"


%build
c++ %{optflags} -Dunix zpaq.cpp libzpaq.cpp -pthread -o zpaq
help2man -h "" -v "" --no-info ./zpaq > %{name}.1

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Apr 17 2015 mpluskal@suse.com
- Initial changelog for version 7.04
- Do not include build date and time
